### Function

# ECal RecurFormatDateTimeFunc

since: 3.38

#### Declaration

    void
    (* ECalRecurFormatDateTimeFunc) (
      ICalTime* itt,
      gchar* buffer,
      gint buffer_size
    )

#### Description [src]

Format the date/time value from `itt` into `buffer`, whose size cannot exceed `buffer_size` letters.

Available since: 3.38

#### Parameters

`itt`

  Type: `None`

  An `ICalTime` to format to string.

  The data is owned by the caller of the function.

`buffer`

  Type: `gchar*`

  A buffer to fill with the result.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`buffer_size`

  Type: `gint`

  The `buffer` size, in bytes, not counting the NUL-terminator character.